function e = bs(Data, Classes, rep, ssize, k)

%
% bootstrapping using kNN classifier 
%

[n dim] = size(Data);
e       = 0;             % error (on the interval [0,1])

rand('state',sum(100*clock));

for i = 1:rep
  Inds       = randperm(n);
  Test_inds  = Inds(1:ssize);           % indices of test samples
  Train_inds = Inds(ssize+1:end);       % indices of train samples
  
  Train         = Data(Train_inds, :);  % training data
  Train_classes = Classes(Train_inds);  % corresponding classes

  Test         = Data(Test_inds, :);    % test data
  Test_classes = Classes(Test_inds);    % corresponding classes
 
  % run test
  Result       = kNN(Train, Train_classes, Test, k);

  % compute error for this fold
  e = e + sum(Result ~= Test_classes);
end

e = e/(rep * ssize); % normalize error to interval [0,1]

