function [Best, Best_val, Worst, Worst_val] = ...
    sbs(Data, Classes, Selected, repeat, test_size, k, no)

%
% sequential backward selection
%

[n dim]   = size(Data);
sel       = length(Selected);
Best      = zeros(no, 1);
Best_val  = zeros(no, 1);
Worst     = zeros(no, 1);
Worst_val = zeros(no, 1);

for i = 1:no

  E = zeros(length(Selected), 1);

  for j = 1:length(Selected)
    E(j) = bs(Data(:, Selected(Selected(j)==[])), Classes, repeat, test_size, k);
  end

  [best_val best_ind]  = min(E);
  Best_val(i)          = best_val;
  Best(i)              = Selected(best_ind);

  [worst_val worst_ind] = max(E);
  Worst_val(i)          = worst_val;
  Worst(i)              = Selected(worst_ind); 
  
  Selected(best_ind)    = [];

end

