function [Best, Val] = sfs(Data, Classes, Selected, repeat, test_size, k, no)

%
% sequential forward selection
%

[n dim] = size(Data);
Best    = zeros(no, 1);
Val     = zeros(no, 1);

for i = 1:no

  Unselected = setdiff(1:dim, Selected);
  E          = zeros(length(Unselected), 1);

  for j = 1:length(Unselected)
    E(j) = bs(Data(:, [Selected; Unselected(j)]), Classes, repeat, test_size, k); 
  end

  [val ind] = min(E);
  Val(i)    = val;
  Best(i)   = Unselected(ind);
  Selected  = [Selected; Best(i)];

end
